Subject: Re: [PATCH v5 0/2] difftool.c: learn a new way start at specified file

From: Junio C Hamano <[email-masked]>
Date: Thu, 25 Feb 2021 11:01:44 -0800

Johannes Schindelin <[email-masked]> writes:

> Hi Junio, ZheNing & Denton,
>
> On Wed, 17 Feb 2021, Junio C Hamano wrote:
>
>> ZheNing Hu <[email-masked]> writes:
>>
>> > Denton Liu <[email-masked]> 于2021年2月17日周三 下午7:14写道：
>> >>
>> >> On Wed, Feb 17, 2021 at 12:12:10PM +0800, ZheNing Hu wrote:
>> >> > Oh, I am sorry.
>> >> > Then I only need to squash the two commit, right?
>> >>
>> >> I've never used GGG before but I suspect that in your GitHub PR, you
>> >> need to set the PR base to 'master' instead of 'jc/diffcore-rotate'.
>
> Yes, that is my understanding of what needed to be done.

Thanks.

>> > You mean I should cherry-pick Junio's patch to my topic branch, right?
>
> That, too.

Not quite.  The 'jc/diffcore-rotate' topic would be the 'upstream'
branch of their topic, so patches in jc/diffcore-rotate won't need
to and should not be cherry-picked, I think.

>> ZheNing, the end result we want to see on the list is just a single
>> patch, your 2/2 alone, that says "this patch depends on the
>> diffcore-rotate topic" _under_ its "---" three-dash lines (where
>> "meta" comments on the patch to explain how it fits the rest of the
>> world, etc.).  As a single patch "topic", there won't be even 1/1
>> marking, i.e. something like:
>> ...
>> I do not know how to achieve that end result with GGG and I do not
>> know if GGG allows its users to do so easily, though.
>
> For single-patch contributions, the PR description is not turned into a
> separate cover letter (per your request, Junio), but it is put between the
> commit message and the diff as you illustrated.
>
> So yes, the comment can go into the PR description (AKA the first comment
> on the PR) and the next `/submit` will include it in the single mail.

Good.  FWIW, the part I said "I do not now how" was not about making
the single-patch topic look the way we want, but about making the
work a single-patch topic to begin with (which was answered by the
above "set the PR base" suggestion).